| ctx path |
ctx := thisContext.
[ctx isNil or:[ctx receiver isKindOf: StandardFileStream]] whileFalse:[ctx := ctx sender].
path := ctx isNil ifTrue:[''] ifFalse:[(FileDirectory dirPathFor: ctx receiver fullName) copyWith: FileDirectory pathNameDelimiter].

(FileStream readOnlyFileNamed:(path,'Exceptions-InterpreterFix.cs')) fileIn.

(self confirm:'The interpreter fix has been installed.
Do you want to stop installation for building a new VM right now?') ifTrue:[^self].

(Smalltalk includesKey: #Exception) ifFalse:[
	(FileStream readOnlyFileNamed:(path,'Exceptions-Classes.cs')) fileIn.
].

(Object class includesSelector: #subclassResponsibilityError) ifFalse:[
	(FileStream readOnlyFileNamed: (path,'Exceptions-Squeak.cs')) fileIn.
].

(ContextPart includesSelector: #stackForProcess:) ifFalse:[
	(FileStream readOnlyFileNamed: (path, 'Exceptions-Debugger.cs')) fileIn.
].

(Process includesSelector: #interruptWith:) ifFalse:[
	(FileStream readOnlyFileNamed: (path, 'Exceptions-Process.cs')) fileIn.
].

self inform:'Installation successful'.
